Bug 171567 - mailto: links in archives incorrect
mailto: links in archives incorrect
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 06:48 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 08:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proof-of-concept patch. (1.54 KB, patch)
2005-10-23 07:30 EDT, David Woodhouse
no flags Details | Diff

  None (edit)
Description David Woodhouse 2005-10-23 06:48:00 EDT
See http://lists.infradead.org/pipermail/linux-mtd/2005-October/013960.html and
http://lists.infradead.org/pipermail/linux-mtd/2005-October/013964.html

Observe the mailto: links at the top of each:

mailto:linux-mtd%40lists.infradead.org?Subject=%5BPATCH%5D%20%5BMTD%5D%20kmalloc%20%2B%20memzero%20-%3E%20kzalloc%20conversion&In-Reply-To=
mailto:linux-mtd%40lists.infradead.org?Subject=%5BPATCH%5D%20%5BMTD%5D%20kmalloc%20%2B%20memzero%20-%3E%20kzalloc%20conversion&In-Reply-To=20051001050003.GD11137%40plexity.net

In each case, the In-Reply-To: header specified in the mailto: link is actually
the In-Reply-To: header of the mail being displayed. But if the reader wants to
reply, their In-Reply-To: header should actually be the Message-Id: of the mail
being displayed, not the same as its In-Reply-To: header.
Comment 1 David Woodhouse 2005-10-23 07:30:29 EDT
Created attachment 120286 [details]
Proof-of-concept patch.

This fixes the In-Reply-To: header, and also fixes the fact that the '<' and
'>' signs were being stripped from it before. It also fixes the Subject header
of the reply to contain 'Re: '.

However, I'm not sure it'll behave correctly in the case where the Message-Id:
is  absent from the archived mail. There's a special case for In-Reply-To:
being empty, but not for Message-Id:. That doesn't affect me since I don't let
any messages without a Message-Id into my system anyway. 

Also, the addition of 'Re:' would need to be done in all languages if we do it
this way. We only strip 'Re:' from subject lines when we archive, so if that's
done in other languages we'll repeat it ad infinitum if people keep replying
through the archives without fixing it up manually.
Comment 2 Harald Hoyer 2005-11-10 07:01:50 EST
Stripping of "Re:" in other languages has always been a problem. Did you submit
your patch upstream to http://sourceforge.net/tracker/?group_id=103&atid=300103 ??
Comment 3 Toshio Kuratomi 2007-01-29 11:25:05 EST
Upstream bug tracker: 
http://sourceforge.net/tracker/index.php?func=detail&aid=1580310&group_id=103&atid=300103

This patch appears to be applied locally to FC-4 and above.

We'll be closing this bug next week as it's targetting a version of Fedora Core
that is no longer maintained.  If you'd like to keep this open to aid in
tracking upstream's progress, please take it out of NEEDINFO and move it forward
to a current release.

Note You need to log in before you can comment on or make changes to this bug.